FreeBSD : newsgrab -- directory traversal vulnerability (35f6093c-73c3-11d9-8a93-00065be4b5b6)

High Nessus Plugin ID 18899


The remote FreeBSD host is missing a security-related update.


The newsgrab script creates files by using the names provided in the newsgroup messages in a perl open() call. This is done without performing any security checks to prevent a directory traversal. A specially crafted newsgroup message could cause newsgrab to drop an attachment anywhere on the file system using the permissions of the user running the script.


Update the affected package.

See Also

Plugin Details

Severity: High

ID: 18899

File Name: freebsd_pkg_35f6093c73c311d98a9300065be4b5b6.nasl

Version: $Revision: 1.12 $

Type: local

Published: 2005/07/13

Modified: 2013/06/21

Dependencies: 12634

Risk Information

Risk Factor: High

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:newsgrab, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Patch Publication Date: 2005/02/01

Vulnerability Publication Date: 2005/01/18

Reference Information

CVE: CVE-2005-0153